
Application: gvSIG desktop - gvSIG bugs #1243
Falla Borrar clases en ROI/Delete classes fails in ROI
10/05/2012 02:41 PM - Abenchara Socorro

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Ignacio Brodín
Category: Raster
Target version: 2.0.0-rc1
Severity: Add-on version:
gvSIG version: 2.0.0 Add-on build:
gvSIG build: 2055 Add-on resolve version:
Operative System: Linux Add-on resolve build: 29
Keywords: roi Proyecto:
Has patch: No Hito:
Add-on name: Raster base support (org.gvsig.raster.tilecache.app)
Description

ESP - Falla Borrar clases en ROI
Pasos
1.- Abrir gvSIG
2.- Abrir VISTA NUEVA
3.- Abrir raster Costa1.tif (http://downloads.gvsig.org/download/geodata/raster/Costa1.tif)
4.- Menú Capa/Región de Interés
5.- Pinchar en 'Nueva' y luego en el icono de polígono
6.- Dibujar tres polígonos
7.- Pinchar en 'Borrar'
8.- Aparece un error 'java.util.ConcurrentModificationException'

Ocurre lo mismo cuando se trata de puntos y líneas.
Si guardo las ROIs como shape y luego abro el shape, entonces sí puedo borrar, no da error

ENG - Delete classes fails in ROI
Steps
1.- Open gvSIG
2.- Open NEW VIEW
3.- Open raster Costa1.tif (http://downloads.gvsig.org/download/geodata/raster/Costa1.tif)
4.- Go to menu Layer/Area of interest
5.- Click on 'New' and then in the polygon icon
6.- Draw three polygons
7.- Click on 'Delete'
8.- Appears an error message 'java.util.ConcurrentModificationException'

Occurs the same with points and lines
If I save it to shapefile previosly, I can open the file and delete and there is no error

History
#1 - 10/11/2012 10:17 AM - Ignacio Brodín
- Status changed from New to Fixed

gvsig-raster:r1309
http://downloads.gvsig.org/download/geodata/raster/Costa1.tif


#2 - 11/08/2012 02:21 PM - Abenchara Socorro
- Status changed from Fixed to New

Warning window still appears

Tested in build 2057

#3 - 11/09/2012 11:37 AM - Ignacio Brodín
- Status changed from New to Fixed
- Add-on name changed from Unknown to Raster base support (org.gvsig.raster.tilecache.app)
- Add-on resolve build set to 29

#4 - 11/15/2012 03:08 PM - Abenchara Socorro
- Status changed from Fixed to Closed

Closed in build 2058
